Subject: embedded jquery
Description

The new extension manager embeds a copy of jquery 1.7.1 in typo3/sysext/extensionmanager/Resources/Public/JavaScript/jquery.js
which is also bundled with a plugin "jquery.dataTables.min.js".
jquery 1.8 is added to the core in typo3/contrib/jquery.
The new EM must use this copy instead of its own and also move the embedded plugin to a proper location under typo3/contrib.

Related issues:
related to Core - Task # 42197: Use central jQuery Resolved 2012-10-20

History
#1 - 2012-09-01 00:11 - Christian Welzel

There are many other embedded code copies in typo3/sysext/extensionmanager/Resources/Public/Contrib/ and
typo3/sysext/extensionmanager/Resources/Public/JavaScript/.
Please move them to a proper location under typo3/contrib/ too.

#2 - 2012-10-02 23:48 - Kai Vogel

Note: The DataTables plugin will be available in version 1.9.4 in the contrib directory of jquery if this patch will be merged into trunk: 
https://review.typo3.org/#/c/14683/

#3 - 2012-10-03 23:33 - Helmut Hummel

Christian Welzel wrote:

There are many other embedded code copies in typo3/sysext/extensionmanager/Resources/Public/Contrib/ and
typo3/sysext/extensionmanager/Resources/Public/JavaScript/.
Please move them to a proper location under typo3/contrib/ too.

This would mean, that we officially support this from now on and encourage extension developers to use these. This is not true.
We agreed on an exception for the extension manager, but besides that, we most likely will remove jQuery from typo3/contrib again.

#4 - 2012-10-05 14:15 - Christian Welzel

Then please move the datatable plugin out of the jquery.js so i can properly package TYPO3 for debian.
debian reqiures me to replace the embedded copy of jquery which is not possible when jquery and the plugin are merged.

#5 - 2012-10-10 20:16 - Kai Vogel
- Status changed from New to Accepted
- Assigned To set to Kai Vogel

#6 - 2012-10-10 20:29 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15500

#7 - 2012-10-10 20:30 - Kai Vogel
- Status changed from Accepted to Under Review

#8 - 2012-10-20 00:44 - Stefan Neufeind

15500 was merged. This is just not reflected in forge unfortunately.

#9 - 2012-10-28 18:54 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Resolved: Patch is merged.

#10 - 2013-03-27 15:32 - Oliver Hader
- Target version set to 2222

#11 - 2013-03-27 15:33 - Oliver Hader
- Project changed from Extension Manager to Core

#12 - 2013-03-27 15:34 - Oliver Hader
- Category set to Extension Manager

#13 - 2013-03-27 15:34 - Oliver Hader
- Target version deleted (2222)
